com.thinkaurelius.titan.diskstorage.keycolumnvalue

## Enum ConsistencyLevel

- java.lang.Object
- - java.lang.Enum<ConsistencyLevel>
  - - com.thinkaurelius.titan.diskstorage.keycolumnvalue.ConsistencyLevel

- All Implemented Interfaces:
    Serializable, Comparable<ConsistencyLevel>

      public enum ConsistencyLevel
      extends Enum<ConsistencyLevel>

  Consistency Levels for transactions.
  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEFAULT` The default consistency level afforded by the underlying storage backend
    `KEY_CONSISTENT` Consistency level which ensures that operations on a `KeyColumnValueStore` are key-consistent.
    `LOCAL_KEY_CONSISTENT` Consistency level which ensures that operations on a `KeyColumnValueStore` are key-consistent with respect to a local cluster where multiple local clusters form the entire (global) cluster.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isKeyConsistent()`
    `static ConsistencyLevel` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ConsistencyLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFAULT

          public static final ConsistencyLevel DEFAULT

      The default consistency level afforded by the underlying storage backend

    - #### KEY_CONSISTENT

          public static final ConsistencyLevel KEY_CONSISTENT

      Consistency level which ensures that operations on a `KeyColumnValueStore` are key-consistent.

    - #### LOCAL_KEY_CONSISTENT

          public static final ConsistencyLevel LOCAL_KEY_CONSISTENT

      Consistency level which ensures that operations on a `KeyColumnValueStore` are key-consistent with respect to a local cluster where multiple local clusters form the entire (global) cluster. In other words, `KEY_CONSISTENT` ensures key consistency across the entire global cluster whereas this is restricted to the local cluster.

  - ### Method Detail

    - #### values

          public static ConsistencyLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConsistencyLevel c : ConsistencyLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConsistencyLevel valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isKeyConsistent

          public boolean isKeyConsistent()

Copyright © 2012–2014. All rights reserved.